package com.palmnest.dao;

import com.palmnest.application.bean.Page;
import com.palmnest.model.Element;
import com.palmnest.model.OrgElement;

import java.util.Map;

/**
 * 服务之窗1L- OrgElementDao
 *
 * @Description TODO
 * @author: jiangyong
 * @since: 2020/8/12 15:30
 */
public interface OrgElementDao extends GenericDao<OrgElement, Long>{

    Page<OrgElement,String> getElementListByAllOrgAndGroupAsPage(int pageNo, int pageSize, Map<String, String> param);
    
    OrgElement findByCodeAndOrgId(String code,Integer orgId);
    OrgElement findByCodeAndOrgIdAndId(String code, Integer orgId,Long id);
    
    Element findByCodeAndId(String code, Integer orgId,Long id);
}
